Get message delivery result

Prev Next

Available in Classic and VPC

Get the Alim Talk message delivery result.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /alimtalk/v2/services/{serviceId}/messages/{messageId}

Request headers

For information about the headers common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
serviceId String Required Biz Message service ID
messageId String Required Message ID

Request example

The request example is as follows:

curl --location --request GET 'https://sens.apigw.ntruss.com/alimtalk/v2/services/ncp:kkobizmsg:kr:27*********6:sens/messages/aa724ca6-****-****-****-66dfc1a700e7' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' 

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
requestId String Required Request ID
messageId String Required Message ID
requestTime String Required Request date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
completeTime String Optional Completion date and time
  • YYYY-MM-DDTHH:mm:ss format
plusFriendId String Required Channel ID
templateCode String Required Template code
countryCode String Optional Country code
to String Required Recipient number
content String Required Message content
requestStatusCode String Required Request status code
  • A000: Success
  • Others: Failure
requestStatusName String Required Request status
  • success | fail
    • success: Success
    • fail: Failure
requestStatusDesc String Required Request status description
messageStatusCode String Optional Reception status code
  • 0000: Success
  • Others: Failure
messageStatusName String Optional Reception status
  • success | processing | fail
    • success: Success
    • processing: Processing. messageStatusCode and messageStatusDesc are not displayed.
    • fail: Failure
messageStatusDesc String Optional Reception status description
useSmsFailover Boolean Required Use of SMS alternative delivery
  • true | false
    • true: Enable
    • false: Disable
failover Object Optional SMS alternative delivery information
  • Display if alternative delivery has been executed.
failover.smsServiceId String Optional SMS service ID used for alternative delivery
failover.requestId String Optional Alternative delivery request ID
failover.messageId String Optional Alternative delivery message ID
failover.requestStatusCode String Optional SMS alternative delivery request status code
failover.requestStatusName String Optional Alternative delivery request status
  • success | fail
    • success: Success
    • fail: Failure
failover.requestStatusDesc String Optional Alternative delivery request status description
failover.messageStatus String Optional Alternative delivery message status
  • READY | PROCESSING | COMPLETED
    • READY: Standby
    • PROCESSING: Processing
    • COMPLETED: Completed
failover.messageStatusCode String Optional Alternative delivery message reception status code
failover.messageStatusName String Optional Alternative delivery message reception status
failover.messageStatusDesc String Optional Alternative delivery message reception status description

Response status codes

For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service response status codes.

Response example

The response example is as follows:

{
    "requestId": "RBAA-*************-****-********-zgrtzVEW",
    "messageId": "aa724ca6-****-****-****-66dfc1a700e7",
    "requestTime": "2025-11-25T15:39:20.899",
    "completeTime": "2025-11-25T15:39:21",
    "plusFriendId": "@******",
    "templateCode": "temp001",
    "countryCode": "82",
    "to": "010********",
    "content": "Dear Gildong Hong,\nThe translation document [PO394857] you requested will be sent via email today at 6:00 PM KST.\n\nWe will send you a notification after the email is sent.\nThank you.",
    "requestStatusCode": "A000",
    "requestStatusName": "success",
    "requestStatusDesc": "Succeeded",
    "messageStatusCode": "0000",
    "messageStatusName": "success",
    "messageStatusDesc": "Normal delivery",
    "useSmsFailover": true
}

Reception result code

The reception result codes for Alim Talk/Brand Message are as follows:

Note

The SMS alternative delivery feature operates when a Biz Message delivery result code indicates failure, but it does not operate for codes prefixed with "B".

Code Message Description
0000 - Normal delivery
1001 NoJsonBody Request body is not in JSON format.
1002 InvalidHubPartnerKey Invalid partner key
1003 InvalidSenderKey Invalid outgoing profile key
1004 NoValueJsonElement Name not found in request body (JSON)
1005 SenderNotFound Outgoing profile not found
1006 DeletedSender Deleted outgoing profile
1007 StoppedSender Blocked outgoing profile
1011 ContractNotFound Contract information not found
1012 InvalidUserKeyException Invalid format of user key request
1013 InvalidAppLink Invalid app connection
1014 InvalidBizNum Invalid business registration number
1015 TalkUserIdNotFonud Invalid app user ID request
1016 BizNumNotEqual Business registration number mismatch
1020 InvalidReceiveUserException All user identification values are invalid.
1021 BlockedProfile Blocked Kakao Talk Channel (check from the Kakao Talk Channel operation tool)
1022 DeactivatedProfile Closed Kakao Talk Channel (check from the Kakao Talk Channel operation tool)
1023 DeletedProfile Deleted Kakao Talk Channel (check from the Kakao Talk Channel operation tool)
1024 DeletingProfile Kakao Talk Channel pending deletion (check from the Kakao Talk Channel operation tool)
1025 SpammedProfile Message-blocked Kakao Talk Channel (check from the Kakao Talk Channel operation tool)
1026 UnableUseMessageType The request was made with a method unavailable for the msg_type (image Alim Talk (AI) can't be sent in real time).
1027 - Message delivery failure due to channel message restriction status
1030 InvalidParameterException Invalid parameter request
1033 - Template type and message type mismatch
2000 FailedToCheckFriendshipException Error when checking the friend relationship with the Talk Channel (system error)
2003 FailedToSendMessageByNoFriendshipException Message delivery failure (if Kakao Talk Channel is not added in the test server)
2004 FailedToMatchTemplateException Error when checking template match (internal Kakao error)
2005 FailedToReadImageException Error reading image meta information from Kakao
2006 FailedToMatchSerialNumberPrefixPattern Serial number format mismatch
3000 UnexceptedExcetpion Occurrence of an unexpected error
3005 AckTimeoutException A message was sent, but the read receipt was not confirmed (success uncertain).
3006 FailedToSendMessageException Message delivery failed due to Kakao's internal system error.
3008 InvalidPhoneNumberException Phone number error
3010 JsonParseException JSON parsing error
3011 MessageNotFoundException Message does not exist.
3012 SerialNumberDuplicatedException Message serial number is duplicated. (A unique value must be assigned for the message serial number.)
3013 MessageEmptyException Blank message
3014 MessageLengthOverLimitException Message length limit error (exceeding 1000 characters for text type, 400 characters for image type)
3015 TemplateNotFoundException Template not found
3016 NoMatchedTemplateException Message content does not match the template.
3018 NoSendAvailableException Message could not be sent.
3019 MessageNoUserException Not a talk user
3020 MessageUserBlockedAlimTalkException Alim Talk blocked
3021 MessageNotSupportedKakaotalkException Minimum support version for Talk not met
3022 NoSendAvailableTimeException Outside the time available for sending messages (Friend Talk/marketing messages can be sent from 8:00 AM to 8:00 PM KST.)
3023 MessageInvalidVideoException Unable to send the video embedded in the message (the video address or thumbnail image address is incorrect or the thumbnail image does not meet the specifications)
3024 MessageInvalidImageException The image contained in the message can't be sent.
3025 ExceedMaxVariableLengthException Variable character limit exceeded
3026 Button chat_extra(event)-InvalidExtra(EventName)Exception '([A-Za-z0-9_]{1,50})' Inquiry/bot switching button extra, event character limit exceeded
3027 NoMatchedTemplateButtonException Button content does not match the template.
3028 NoMatchedTemplateTitleException Message highlighting title does not match the template.
3029 ExceedMaxTitleLengthException Message highlighting title length limit exceeded (50 characters)
3030 NoMatchedTemplateWithMessageTypeException Message type does not match the template highlight type.
3031 NoMatchedTemplateHeaderException Header does not match the template.
3032 ExceedMaxHeaderLengthException Header length limit exceeded (16 characters)
3033 NoMatchedTemplateItemHighlightException Item highlight does not match the template.
3034 ExceedMaxItemHighlightTitleLengthException Item highlight title length limit exceeded (30 characters with no images, 21 characters with images)
3035 ExceedMaxItemHighlightDescriptionLengthException Item highlight description length limit exceeded (30 characters with no images, 21 characters with images)
3036 NoMatchedTemplateItemListException Item list does not match the template.
3037 ExceedMaxItemDescriptionLengthException Item's description length limit exceeded in the item list (23 characters)
3038 NoMatchedTemplateItemSummaryException Item summary information does not match the template.
3039 ExceedMaxItemSummaryDescriptionLengthException Item summary information length limit exceeded (14 characters)
3040 InvalidItemSummaryDescriptionException Item summary information includes characters that are not allowed (inclusion of characters other than currency symbol/code, number, comma, period, and space).
3041 MessageInvalidWideItemListLengthException Wide item list count minimum, maximum mismatch
3042 NoMatchedTemplateRepresentLinkException Representative link does not match template.
3046 ExceedMaxAdditionalContentLengthException Additional information maximum length limit error
3047 ExceedMaxCommerceTitleLengthException Commerce information, product name maximum length limit error
3050 MessageNotSupportedUnsubscribeException Opt-out specifications (N type) not supported
3051 InvalidateCarouselItemMinException or InvalidateCarouselItemMaxException Carousel item list count minimum, maximum mismatch
3052 CarouselMessageLengthOverLimitException Carousel item message length exceeded
3056 WideItemListTitleLengthOverLimitException Wide item list title length limit error
3058 CarouselHeaderLengthOverLimitException Carousel header length limit error
3059 MessageNotSupportedCouponException Coupon specifications not supported
4000 ResponseHistoryNotFoundException Message delivery result not found
4001 UnKnownMessageStatusError Unknown message status
7011 - Serial number pattern error
7014 - Message validity timeout error
8512 - Recipient type not found
8514 - request_id not found
8520 - Unsupported product type error
8521 - Message type not supported error
8522 - Text type not supported error
8523 - Response method not supported error
8530 - Recipient list size error
8999 - Internal server error
9998 The service is not currently provided. The admin is checking a problem that occurred in the system.
9999 The admin is checking an unknown problem that occurred in the system. The admin is checking a problem that occurred in the system.
B000 Prepare to relay failed Failure of preliminary work for forwarding to the relay company
B001 Request to relay failed Relay company delivery failure
B002 Filtering for request to relay failed Filtered due to invalid request
B003 Invalid phone number format Invalid caller ID format
B004 Quota Exceed Quota exceeded
B005 Message processing timeout exceed The difference between the message request time and processing time is outside the allowable range.
B400 Invalid Request Message format error
B999 Unexpected server error Unexpected error

SMS alternative delivery request status code

The following are the status codes returned when requesting SMS delivery as a fallback upon Biz Message delivery failure.

Note

The SMS alternative delivery feature operates when a Biz Message delivery result code indicates failure, but it does not operate for codes prefixed with "B".

Code Description
0 Succeeded
E4000 SMS alternative delivery settings are invalid.
E4001 SMS alternative delivery settings are missing.
E4002 SMS alternative delivery service is not configured.
E4003 SMS alternative delivery type (SMS, LMS) is not configured.
E4004 SMS alternative delivery caller ID is not configured.
E4005 SMS alternative delivery message subject is not configured.
E4006 SMS alternative delivery message content is not configured.
E4007 SMS alternative delivery message recipient number is not configured.
E4008 SMS alternative delivery service is not available.
E4009 SMS alternative delivery caller ID is not authenticated.
E4010 080 call block for SMS alternative delivery is not available.
E4999 SMS alternative delivery settings parsing error (contact Support)
E5000 Internal error (required to contact Support)